Subject: Re: bug#45103: [feature/native-comp] add re-dumping support
From: Andrea Corallo <[email-masked]>
To: Y Qu <[email-masked]>
Cc: [email-masked]
Date: Tue, 24 Oct 2023 14:17:07 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Y Qu <[email-masked]> writes:

> Dear maintainers:
>
> I try to use pdumper together with native-comp but fail.
>
> To reproduce:
>
>     $ emacs --batch -Q -eval '(dump-emacs-portable "~/.emacs.d/.cache/dumps/emacs.pdmp")'
>     $ emacs --dump-file=~/.emacs.d/.cache/dumps/emacs.pdmp
>
> You can get the following message:
>
>     emacs: Trying to load incoherent dumped eln file
> /usr/sbin/../lib/emacs/28.0.50/native-lisp/28.0.50-x86_64-pc-linux-gnu-8fc0b1a455d90f52078950afaab3b40e/lisp-mode-410874a46ab8852855281f021ca61fe7-0babcd5810b0347a56a4b722059f6199.eln
>
>
> This issue appears on build from both chaotic-aur/emacs-pgtk-native-comp and archlinuxcn/emacs-native-comp.
>
> Thank you for your time!
>
> Ying Qu

Hello,

on the line of "better later than ever" I believe I implemented the fix
for this bug with f7d88f4a047 now on master.

$ emacs --dump-file -batch ~/emacs.pdm
$ emacs --dump-file ~/emacs.pdmp

Works for me here therefore I'm closing this bug.

Happy to reopen if necessary.

Thanks!

  Andrea